﻿/* 
    Use these classes to change the default rendering of file upload control.

    To make it work like a charm, use this HTML structure :

    <div class="custom-file-upload">
        <div class="custom-file-upload-button">FICHIER</div>
        <div class="custom-file-upload-text"></div>
        <input type="file" name="File" />
    </div>

    N.B. : Don't forget to include the /Scripts/ProwebTools/custom-file-upload.js in your page ;)
*/

.custom-file-upload { background: #fff; position: relative; }
.custom-file-upload input { position: absolute; top: 0; left: 0; width: 100%; height: 100%; opacity: 0; cursor: pointer; }
.custom-file-upload-button {
    height: 40px; line-height: 40px; padding: 0 65px; color: #1a1a1a; font-size: 17px; background: #d1b38d; 
    display: inline-block;
}
.custom-file-upload:hover .custom-file-upload-button { background: #e7e7e7; }
.custom-file-upload-text { display: inline-block; line-height: 35px; }